> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task Group Information

> **Required plan:** Standard, Professional, or Enterprise.

Get information of all task groups.



## OpenAPI

````yaml /en/api/openapi.json get /taskGroup
openapi: 3.0.1
info:
  title: Octoparse API
  description: >-
    Octoparse OpenAPI allows you to programmatically manage tasks, run cloud
    extractions, and retrieve scraped data. Base URL:
    `https://openapi.octoparse.com`
  version: 1.0.0
servers:
  - url: https://openapi.octoparse.com
    description: Octoparse API Server
security: []
paths:
  /taskGroup:
    get:
      tags:
        - Task Group
      summary: Get Task Group Information
      description: |-
        **Required plan:** Standard, Professional, or Enterprise.

        Get information of all task groups.
      operationId: getTaskGroups
      responses:
        '200':
          description: Task group list retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        taskGroupId:
                          type: string
                        taskGroupName:
                          type: string
                  requestId:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Use the access_token obtained from POST /token

````